Loading...
Searching...
No Matches
Magick::ColorRGB Class Reference
Inheritance diagram for Magick::ColorRGB:

## Public Member Functions

| ColorRGB (const Color &color_)
| ColorRGB (const double red_, const double green_, const double blue_)
| ColorRGB (const double red_, const double green_, const double blue_, const double alpha_)
ColorRGB & | operator= (const Color &color_)
void | alpha (const double alpha_)
double | alpha (void) const
void | blue (const double blue_)
double | blue (void) const
void | green (const double green_)
double | green (void) const
void | red (const double red_)
double | red (void) const
Public Member Functions inherited from Magick::Color
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorRGB (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel , CMYKAPixel , RGBPixel , RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 351 of file Color.h.

## Constructor & Destructor Documentation

## ColorRGB() [1/5]

Magick::ColorRGB::ColorRGB | ( | void |  | ) |

Definition at line 807 of file Color.cpp.

: Color(RGBPixel)
{
}

## ColorRGB() [2/5]

Magick::ColorRGB::ColorRGB | ( | const Color & | color_ | ) |

Definition at line 812 of file Color.cpp.

: Color(color_)
{
}

## ColorRGB() [3/5]

Magick::ColorRGB::ColorRGB | ( | const double | red_,
|  | const double | green_,
|  | const double | blue_ )

Definition at line 817 of file Color.cpp.

: Color(scaleDoubleToQuantum(red_),scaleDoubleToQuantum(green_),
scaleDoubleToQuantum(blue_))
{
}

## ColorRGB() [4/5]

Magick::ColorRGB::ColorRGB | ( | const double | red_,
|  | const double | green_,
|  | const double | blue_,
|  | const double | alpha_ )

Definition at line 824 of file Color.cpp.

: Color(scaleDoubleToQuantum(red_),scaleDoubleToQuantum(green_),
scaleDoubleToQuantum(blue_),scaleDoubleToQuantum(alpha_))
{
}

## ~ColorRGB()

Magick::ColorRGB::~ColorRGB | ( | void |  | ) |

Definition at line 831 of file Color.cpp.

{
}

## ColorRGB() [5/5]

Magick::ColorRGB::ColorRGB | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_ )

protected

Definition at line 881 of file Color.cpp.

: Color(rep_,pixelType_)
{
}

## Member Function Documentation

## alpha() [1/2]

void Magick::ColorRGB::alpha | ( | const double | alpha_ | ) |

Definition at line 841 of file Color.cpp.

{
quantumAlpha(scaleDoubleToQuantum(alpha_));
}

## alpha() [2/2]

double Magick::ColorRGB::alpha | ( | void |  | ) | const

Definition at line 846 of file Color.cpp.

{
return(scaleQuantumToDouble(quantumAlpha()));
}

## blue() [1/2]

void Magick::ColorRGB::blue | ( | const double | blue_ | ) |

Definition at line 851 of file Color.cpp.

{
quantumBlue(scaleDoubleToQuantum(blue_));
}

## blue() [2/2]

double Magick::ColorRGB::blue | ( | void |  | ) | const

Definition at line 856 of file Color.cpp.

{
return(scaleQuantumToDouble(quantumBlue()));
}

## green() [1/2]

void Magick::ColorRGB::green | ( | const double | green_ | ) |

Definition at line 861 of file Color.cpp.

{
quantumGreen(scaleDoubleToQuantum(green_));
}

## green() [2/2]

double Magick::ColorRGB::green | ( | void |  | ) | const

Definition at line 866 of file Color.cpp.

{
return(scaleQuantumToDouble(quantumGreen()));
}

## operator=()

Magick::ColorRGB & Magick::ColorRGB::operator= | ( | const Color & | color_ | ) |

Definition at line 835 of file Color.cpp.

{
*static_cast<Magick::Color*>(this)=color_;
return(*this);
}

## red() [1/2]

void Magick::ColorRGB::red | ( | const double | red_ | ) |

Definition at line 871 of file Color.cpp.

{
quantumRed(scaleDoubleToQuantum(red_));
}

## red() [2/2]

double Magick::ColorRGB::red | ( | void |  | ) | const

Definition at line 876 of file Color.cpp.

{
return(scaleQuantumToDouble(quantumRed()));
}

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp